# Mutex.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/OS_NS_unistd.h"`
`#include "ace/os_include/os_fcntl.h"`
`#include "ace/Mutex.inl"`

Include dependency graph for Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Mutex
| `ACE_Mutex` wrapper (valid in same process or across processes (depending on TYPE flag)). More...

## Defines

#define | ACE_DEFAULT_MUTEX_A "ACE_MUTEX"
#define | ACE_DEFAULT_MUTEX_W ACE_TEXT_WIDE(ACE_DEFAULT_MUTEX_A)
#define | ACE_DEFAULT_MUTEX ACE_LIB_TEXT (ACE_DEFAULT_MUTEX_A)

## Detailed Description

Id
  Mutex.h,v 4.4 2005/10/28 16:14:53 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_DEFAULT_MUTEX ACE_LIB_TEXT (ACE_DEFAULT_MUTEX_A)

#define ACE_DEFAULT_MUTEX_A "ACE_MUTEX"

#define ACE_DEFAULT_MUTEX_W ACE_TEXT_WIDE(ACE_DEFAULT_MUTEX_A)